FROM debian:latest
RUN apt update && apt --yes install openssh-server python3 sudo iproute2 iputils-ping traceroute vim && mkdir -p /root/.ssh/ && mkdir -p /run/sshd && rm -f /etc/ssh/ssh_host*
RUN apt --yes install dnsmasq udhcpc less tcpdump
RUN apt --yes install telnet netcat-openbsd wget curl man net-tools
# RUN apt install --yes nginx python3-pip
# RUN pip3 install 'uvicorn[standard] fastapi'

# COPY authorized_keys /root/.ssh/authorized_keys
# COPY setup-linux.sh /usr/local/bin/sshd_with_setup.sh
# CMD ["/usr/sbin/sshd", "-D"]
CMD ["/usr/local/bin/setup.sh"]